(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     33928,       1030]
NotebookOptionsPosition[     32387,        977]
NotebookOutlinePosition[     32875,        994]
CellTagsIndexPosition[     32832,        991]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"SSquaredEuclideanDistance", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], " ", ":=", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"x", "-", "y"}], ")"}], ".", 
    RowBox[{"(", 
     RowBox[{"x", "-", "y"}], ")"}]}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"a_", ",", " ", "b_", ",", " ", "c_"}], "]"}], " ", ":=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"SSquaredEuclideanDistance", "[", 
       RowBox[{"a", ",", " ", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}]}], "]"}], "-", "1"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"SSquaredEuclideanDistance", "[", 
       RowBox[{"b", ",", "a"}], "]"}], "-", "1"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"SSquaredEuclideanDistance", "[", 
       RowBox[{"c", ",", "b"}], "]"}], "-", "1"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"SSquaredEuclideanDistance", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "0"}], "}"}], ",", "c"}], "]"}], "-", "1"}]}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"jac", " ", "=", " ", 
   RowBox[{"Simplify", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"f", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              SubscriptBox["x", "1"], ",", 
              SubscriptBox["y", "1"]}], "}"}], ",", " ", 
            RowBox[{"{", 
             RowBox[{
              SubscriptBox["x", "2"], ",", 
              SubscriptBox["y", "2"]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              SubscriptBox["x", "3"], ",", 
              SubscriptBox["y", "3"]}], "}"}]}], "]"}], "/", "2"}], ",", 
         "#"}], "]"}], "&"}], "/@", " ", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["x", "1"], ",", 
        SubscriptBox["y", "1"], ",", 
        SubscriptBox["x", "2"], ",", 
        SubscriptBox["y", "2"], ",", 
        SubscriptBox["x", "3"], ",", 
        SubscriptBox["y", "3"]}], "}"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Assumptions", "\[Rule]", " ", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["x", "_"], ",", 
         SubscriptBox["y", "_"]}], "}"}], "\[Element]", "Reals"}]}]}], 
    "\[IndentingNewLine]", "]"}]}], " ", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Transpose", "[", "jac", "]"}], " ", "//", " ", 
  "MatrixForm"}]}], "Input"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      SubscriptBox["x", "1"], 
      SubscriptBox["y", "1"], "0", "0", "0", "0"},
     {
      RowBox[{
       SubscriptBox["x", "1"], "-", 
       SubscriptBox["x", "2"]}], 
      RowBox[{
       SubscriptBox["y", "1"], "-", 
       SubscriptBox["y", "2"]}], 
      RowBox[{
       RowBox[{"-", 
        SubscriptBox["x", "1"]}], "+", 
       SubscriptBox["x", "2"]}], 
      RowBox[{
       RowBox[{"-", 
        SubscriptBox["y", "1"]}], "+", 
       SubscriptBox["y", "2"]}], "0", "0"},
     {"0", "0", 
      RowBox[{
       SubscriptBox["x", "2"], "-", 
       SubscriptBox["x", "3"]}], 
      RowBox[{
       SubscriptBox["y", "2"], "-", 
       SubscriptBox["y", "3"]}], 
      RowBox[{
       RowBox[{"-", 
        SubscriptBox["x", "2"]}], "+", 
       SubscriptBox["x", "3"]}], 
      RowBox[{
       RowBox[{"-", 
        SubscriptBox["y", "2"]}], "+", 
       SubscriptBox["y", "3"]}]},
     {"0", "0", "0", "0", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       SubscriptBox["x", "3"]}], 
      SubscriptBox["y", "3"]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sols", " ", "=", " ", 
  RowBox[{"Solve", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"#", "\[Equal]", "0"}], "&"}], "/@", 
     RowBox[{"Join", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"jac", ".", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Lambda]", "1"], ",", 
           SubscriptBox["\[Lambda]", "2"], ",", 
           SubscriptBox["\[Lambda]", "3"], ",", 
           SubscriptBox["\[Lambda]", "4"]}], "}"}]}], "-", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0"}], 
         "}"}]}], ",", " ", 
       RowBox[{"f", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["x", "1"], ",", 
           SubscriptBox["y", "1"]}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["x", "2"], ",", 
           SubscriptBox["y", "2"]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["x", "3"], ",", 
           SubscriptBox["y", "3"]}], "}"}]}], "]"}]}], "]"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["x", "1"], ",", 
      SubscriptBox["y", "1"], ",", 
      SubscriptBox["x", "2"], ",", 
      SubscriptBox["y", "2"], ",", 
      SubscriptBox["x", "3"], ",", 
      SubscriptBox["y", "3"], ",", " ", 
      SubscriptBox["\[Lambda]", "1"], ",", 
      SubscriptBox["\[Lambda]", "2"], ",", 
      SubscriptBox["\[Lambda]", "3"], ",", 
      SubscriptBox["\[Lambda]", "4"]}], "}"}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input"],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   PanelBox[GridBox[{
      {
       StyleBox[
        StyleBox[
         DynamicBox[ToBoxes[
           FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
           StandardForm],
          ImageSizeCache->{602., {4., 15.}}],
         StripOnInput->False,
         DynamicUpdating->True], "Panel",
        StripOnInput->False,
        Background->None]},
      {
       ItemBox[
        TagBox[
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              SubscriptBox["x", "1"], "\[Rule]", 
              FractionBox[
               RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}], 
               RowBox[{
               "4520978587730785665854149241961343596257424061901299551", 
                RowBox[{"\[LeftSkeleton]", "84", "\[RightSkeleton]"}], 
                "3904627402634352956005011979731322571526233738632339456"}]]}]\
, ",", 
             RowBox[{
              SubscriptBox["y", "1"], "\[Rule]", 
              FractionBox[
               RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}], 
               RowBox[{"753496431", 
                RowBox[{"\[LeftSkeleton]", "175", "\[RightSkeleton]"}], 
                "772056576"}]]}], ",", 
             RowBox[{
              SubscriptBox["x", "2"], "\[Rule]", 
              RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}]}], ",", 
             RowBox[{"\[LeftSkeleton]", "5", "\[RightSkeleton]"}], ",", 
             RowBox[{
              SubscriptBox["\[Lambda]", "3"], "\[Rule]", 
              FractionBox[
               RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}], 
               RowBox[{"45", 
                RowBox[{"\[LeftSkeleton]", "191", "\[RightSkeleton]"}], 
                "60"}]]}], ",", 
             RowBox[{
              SubscriptBox["\[Lambda]", "4"], "\[Rule]", 
              FractionBox[
               RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}], 
               RowBox[{"4520978587730785665854149", 
                RowBox[{"\[LeftSkeleton]", "145", "\[RightSkeleton]"}], 
                "3225715262337386323394560"}]]}]}], "}"}], ",", 
           RowBox[{"\[LeftSkeleton]", "47", "\[RightSkeleton]"}]}], "}"}],
         Short[#, 5]& ],
        Background->GrayLevel[1],
        BaseStyle->{Deployed -> False},
        Frame->True,
        FrameStyle->GrayLevel[0, 0.2],
        StripOnInput->False]},
      {
       RowBox[{
        ButtonBox[
         StyleBox[
          StyleBox[
           DynamicBox[ToBoxes[
             FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
             StandardForm],
            ImageSizeCache->{105., {0., 15.}}],
           StripOnInput->False,
           DynamicUpdating->True], "Panel",
          StripOnInput->False,
          Background->None],
         Appearance->Automatic,
         ButtonFunction:>OutputSizeLimit`ButtonFunction[
          Identity, 154, 23227489088406938529, 5/2],
         Enabled->True,
         Evaluator->Automatic,
         Method->"Queued"], "\[ThinSpace]", 
        ButtonBox[
         StyleBox[
          StyleBox[
           DynamicBox[ToBoxes[
             FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
             StandardForm],
            ImageSizeCache->{111., {0., 15.}}],
           StripOnInput->False,
           DynamicUpdating->True], "Panel",
          StripOnInput->False,
          Background->None],
         Appearance->Automatic,
         ButtonFunction:>OutputSizeLimit`ButtonFunction[
          Identity, 154, 23227489088406938529, 5 2],
         Enabled->True,
         Evaluator->Automatic,
         Method->"Queued"], "\[ThinSpace]", 
        ButtonBox[
         StyleBox[
          StyleBox[
           DynamicBox[ToBoxes[
             FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
             StandardForm],
            ImageSizeCache->{177., {4., 15.}}],
           StripOnInput->False,
           DynamicUpdating->True], "Panel",
          StripOnInput->False,
          Background->None],
         Appearance->Automatic,
         ButtonFunction:>OutputSizeLimit`ButtonFunction[
          Identity, 154, 23227489088406938529, Infinity],
         Enabled->True,
         Evaluator->Automatic,
         Method->"Queued"], "\[ThinSpace]", 
        ButtonBox[
         StyleBox[
          StyleBox[
           DynamicBox[ToBoxes[
             FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
             StandardForm],
            ImageSizeCache->{159., {0., 15.}}],
           StripOnInput->False,
           DynamicUpdating->True], "Panel",
          StripOnInput->False,
          Background->None],
         Appearance->Automatic,
         ButtonFunction:>FrontEndExecute[{
            FrontEnd`SetOptions[
            FrontEnd`$FrontEnd, 
             FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
            FrontEnd`FrontEndToken["PreferencesDialog"]}],
         Evaluator->None,
         Method->"Preemptive"]}]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[1.2]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    DefaultBaseStyle->{},
    FrameMargins->5],
   Deploy,
   DefaultBaseStyle->{Deployed -> True}],
  Out[154]]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"rsols", " ", "=", " ", 
   RowBox[{"Select", "[", 
    RowBox[{"sols", ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["x", "1"], ",", 
           SubscriptBox["y", "1"], ",", 
           SubscriptBox["x", "2"], ",", 
           SubscriptBox["y", "2"], ",", 
           SubscriptBox["x", "3"], ",", 
           SubscriptBox["y", "3"], ",", " ", 
           SubscriptBox["\[Lambda]", "1"], ",", 
           SubscriptBox["\[Lambda]", "2"], ",", 
           SubscriptBox["\[Lambda]", "3"], ",", 
           SubscriptBox["\[Lambda]", "4"]}], "}"}], " ", "/.", " ", "#"}], 
        ")"}], "\[Element]", "Reals"}], "&"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Length", "[", "rsols", "]"}]}], "Input"],

Cell[BoxData["10"], "Output"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"hess", "[", "q_", "]"}], " ", ":=", " ", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{"q", ",", " ", "v", ",", " ", "w"}], "]"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"v", ",", " ", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["x", "1"], ",", 
        SubscriptBox["y", "1"], ",", 
        SubscriptBox["x", "2"], ",", 
        SubscriptBox["y", "2"], ",", 
        SubscriptBox["x", "3"], ",", 
        SubscriptBox["y", "3"]}], "}"}]}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"w", ",", " ", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["x", "1"], ",", 
        SubscriptBox["y", "1"], ",", 
        SubscriptBox["x", "2"], ",", 
        SubscriptBox["y", "2"], ",", 
        SubscriptBox["x", "3"], ",", 
        SubscriptBox["y", "3"]}], "}"}]}], "}"}]}], "]"}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"hess", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0"}], "}"}], 
    ".", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["x", "1"], ",", 
      SubscriptBox["y", "1"], ",", 
      SubscriptBox["x", "2"], ",", 
      SubscriptBox["y", "2"], ",", 
      SubscriptBox["x", "3"], ",", 
      SubscriptBox["y", "3"]}], "}"}]}], "]"}], "-", 
  RowBox[{"hess", "[", 
   RowBox[{"f", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["x", "1"], ",", 
       SubscriptBox["y", "1"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["x", "2"], ",", 
       SubscriptBox["y", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["x", "3"], ",", 
       SubscriptBox["y", "3"]}], "}"}]}], "]"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"2", ",", "2", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "2"}], ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "2", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "2"}], ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "2"}], ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "2", ",", "2", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       RowBox[{"-", "2"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "2"}], ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "2", ",", "2", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       RowBox[{"-", "2"}], ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       RowBox[{"-", "2"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "2", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       RowBox[{"-", "2"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "2", ",", "2"}], "}"}]}], "}"}]}], 
  "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Sort", "@", 
   RowBox[{"N", "[", 
    RowBox[{
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{
         SubscriptBox["x", "1"], "+", 
         SubscriptBox["x", "3"]}], " ", "/.", " ", "s"}], ",", " ", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"s", ",", " ", "rsols"}], "}"}]}], "\[IndentingNewLine]", 
      "]"}], ",", "10"}], "]"}]}], " ", "//", " ", "Column"}]], "Input"],

Cell[BoxData[
 TagBox[GridBox[{
    {
     RowBox[{"-", "0.80275624538711484115910328684`10."}]},
    {
     RowBox[{"-", "0.77831387792451458095653548256`10."}]},
    {
     RowBox[{"-", "0.2782830109353630739863280359`10."}]},
    {"0.38257913636681626214245020329`10."},
    {"0.98256744428676425211740428959`10."},
    {"1.01743255571323574788259642386`10."},
    {"1.61742086363318373785758958756`10."},
    {"2.278283010935363074`10."},
    {"2.778313877924514581`10."},
    {"2.8027562453871148412`10."}
   },
   GridBoxAlignment->{"Columns" -> {{Left}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Column"]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"MatrixForm", "@", 
    RowBox[{"NullSpace", "[", 
     RowBox[{"Transpose", "[", 
      RowBox[{"jac", " ", "/.", " ", "s"}], "]"}], "]"}]}], ",", " ", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"s", ",", " ", "rsols"}], "}"}]}], "\[IndentingNewLine]", 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", "0", 
        RowBox[{
         RowBox[{"-", "2"}], " ", 
         SqrtBox["3"]}], "0", 
        RowBox[{"-", 
         SqrtBox["3"]}], "1"},
       {"1", "0", "0", "0", "0", "0"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", "0", 
        RowBox[{"2", " ", 
         SqrtBox["3"]}], "0", 
        SqrtBox["3"], "1"},
       {"1", "0", "0", "0", "0", "0"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", "0", 
        RowBox[{
         RowBox[{"-", "2"}], " ", 
         SqrtBox["3"]}], "0", 
        RowBox[{"-", 
         SqrtBox["3"]}], "1"},
       {"1", "0", "0", "0", "0", "0"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", "0", 
        RowBox[{"2", " ", 
         SqrtBox["3"]}], "0", 
        SqrtBox["3"], "1"},
       {"1", "0", "0", "0", "0", "0"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", "0", "0", "0", "1", "0"},
       {
        FractionBox["1", "2"], 
        FractionBox["1", 
         RowBox[{"2", " ", 
          SqrtBox["3"]}]], "1", "0", "0", "0"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", "0", "0", "0", "1", "0"},
       {
        FractionBox["1", "2"], 
        FractionBox["1", 
         RowBox[{"2", " ", 
          SqrtBox["3"]}]], "1", "0", "0", "0"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", "0", "0", "0", "1", "0"},
       {
        FractionBox["1", "2"], 
        RowBox[{"-", 
         FractionBox["1", 
          RowBox[{"2", " ", 
           SqrtBox["3"]}]]}], "1", "0", "0", "0"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", "0", "0", "0", "1", "0"},
       {
        FractionBox["1", "2"], 
        RowBox[{"-", 
         FractionBox["1", 
          RowBox[{"2", " ", 
           SqrtBox["3"]}]]}], "1", "0", "0", "0"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", "0", "0", "0", 
        RowBox[{"-", 
         SqrtBox["15"]}], "1"},
       {
        SqrtBox["15"], "1", "0", "0", "0", "0"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", "0", "0", "0", 
        SqrtBox["15"], "1"},
       {
        RowBox[{"-", 
         SqrtBox["15"]}], "1", "0", "0", "0", "0"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], "}"}]], "Output"]
}, Open  ]],

Cell[BoxData[""], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"step", " ", "=", " ", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Monitor", "[", 
  RowBox[{
   RowBox[{"Do", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"step", "++"}], ";", "\[IndentingNewLine]", 
      RowBox[{"dd", "=", 
       RowBox[{"Length", "@", 
        RowBox[{"GroebnerBasis", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Join", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"f", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                SubscriptBox["x", "1"], ",", 
                SubscriptBox["y", "1"]}], "}"}], ",", " ", 
              RowBox[{"{", 
               RowBox[{
                SubscriptBox["x", "2"], ",", 
                SubscriptBox["y", "2"]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                SubscriptBox["x", "3"], ",", 
                SubscriptBox["y", "3"]}], "}"}]}], "]"}], ",", 
            "\[IndentingNewLine]", "s"}], "\[IndentingNewLine]", "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["x", "1"], ",", 
            SubscriptBox["y", "1"], ",", 
            SubscriptBox["x", "2"], ",", 
            SubscriptBox["y", "2"], ",", 
            SubscriptBox["x", "3"], ",", 
            SubscriptBox["y", "3"]}], "}"}]}], "\[IndentingNewLine]", 
         "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"dd", "\[Equal]", "1"}], ",", " ", 
        RowBox[{
         RowBox[{"Print", "[", "s", "]"}], ";", 
         RowBox[{"Break", "[", "]"}]}]}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"s", ",", " ", 
       RowBox[{"Subsets", "[", 
        RowBox[{
         RowBox[{"Flatten", "[", 
          RowBox[{"Minors", "[", 
           RowBox[{"jac", ",", " ", "4"}], "]"}], "]"}], ",", " ", 
         RowBox[{"{", "2", "}"}]}], "]"}]}], "}"}]}], "\[IndentingNewLine]", 
    "]"}], ",", " ", "step"}], "]"}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"GroebnerBasis", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Join", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["x", "1"], ",", 
           SubscriptBox["y", "1"]}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["x", "2"], ",", 
           SubscriptBox["y", "2"]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["x", "3"], ",", 
           SubscriptBox["y", "3"]}], "}"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Flatten", "[", 
        RowBox[{"Minors", "[", 
         RowBox[{"jac", ",", " ", "4"}], "]"}], "]"}]}], 
      "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["x", "1"], ",", 
       SubscriptBox["y", "1"], ",", 
       SubscriptBox["x", "2"], ",", 
       SubscriptBox["y", "2"], ",", 
       SubscriptBox["x", "3"], ",", 
       SubscriptBox["y", "3"]}], "}"}]}], "\[IndentingNewLine]", "]"}], " ", "//",
    " ", "Column"}], "\[IndentingNewLine]"}]], "Input"],

Cell[BoxData[
 TagBox[GridBox[{
    {"1"}
   },
   GridBoxAlignment->{"Columns" -> {{Left}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Column"]], "Output"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"GroebnerBasis", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Join", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["x", "1"], ",", 
           SubscriptBox["y", "1"]}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["x", "2"], ",", 
           SubscriptBox["y", "2"]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["x", "3"], ",", 
           SubscriptBox["y", "3"]}], "}"}]}], "]"}], ",", 
       "\[IndentingNewLine]", "#"}], "\[IndentingNewLine]", "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["x", "1"], ",", 
       SubscriptBox["y", "1"], ",", 
       SubscriptBox["x", "2"], ",", 
       SubscriptBox["y", "2"], ",", 
       SubscriptBox["x", "3"], ",", 
       SubscriptBox["y", "3"]}], "}"}]}], "\[IndentingNewLine]", "]"}], "&"}],
   "/@", 
  RowBox[{"Minors", "[", 
   RowBox[{"jac", ",", " ", "4"}], "]"}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Binomial", "[", 
  RowBox[{"6", ",", "4"}], "]"}]], "Input"],

Cell[BoxData["15"], "Output"]
}, Open  ]],

Cell[BoxData[""], "Input"]
},
WindowSize->{1280, 748},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"8.0 for Linux x86 (32-bit) (November 7, 2010)",
StyleDefinitions->FrontEnd`FileName[{$RootDirectory, "home", "mariano", 
   ".Mathematica", "SystemFiles", "FrontEnd", "StyleSheets"}, "MyDefault.nb", 
  CharacterEncoding -> "UTF-8"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 284, 9, 43, "Input"],
Cell[844, 31, 913, 24, 179, "Input"],
Cell[CellGroupData[{
Cell[1782, 59, 1441, 42, 152, "Input"],
Cell[3226, 103, 1598, 53, 122, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4861, 161, 1622, 47, 125, "Input"],
Cell[6486, 210, 5844, 156, 288, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12367, 371, 843, 23, 71, "Input"],
Cell[13213, 396, 29, 0, 60, "Output"]
}, Open  ]],
Cell[13257, 399, 882, 26, 43, "Input"],
Cell[CellGroupData[{
Cell[14164, 429, 863, 29, 43, "Input"],
Cell[15030, 460, 3462, 95, 196, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18529, 560, 489, 14, 125, "Input"],
Cell[19021, 576, 662, 18, 254, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19720, 599, 370, 10, 125, "Input"],
Cell[20093, 611, 7423, 212, 218, "Output"]
}, Open  ]],
Cell[27531, 826, 26, 0, 43, "Input"],
Cell[27560, 828, 2089, 54, 368, "Input"],
Cell[CellGroupData[{
Cell[29674, 886, 1201, 34, 233, "Input"],
Cell[30878, 922, 193, 6, 43, "Output"]
}, Open  ]],
Cell[31086, 931, 1115, 33, 206, "Input"],
Cell[CellGroupData[{
Cell[32226, 968, 84, 2, 43, "Input"],
Cell[32313, 972, 29, 0, 43, "Output"]
}, Open  ]],
Cell[32357, 975, 26, 0, 43, "Input"]
}
]
*)

(* End of internal cache information *)

